Page MenuHomePhabricator

1.30.0-wmf.13 deployment blockers
Closed, ResolvedPublicRelease

Description

Note: Given the many serious blocking issues which are carried over from previous weeks, the status of wmf.13 is currently tentative.

Details

Release Version
1.30.0-wmf.13
Release Date
1502341200
Related Gerrit Patches:
operations/mediawiki-config : masterAll wikis (except wikidata) to 1.30.0-wmf.13
operations/mediawiki-config : masterAll group1 wikis except wikidata to 1.30.0-wmf.13

2017 week 32 1.30-wmf.13 Changes wmf/1.30.0-wmf.13

This MediaWiki Train Deployment is scheduled for the week of Monday, August 7th:

Monday August 7thTuesday, August 8thWednesday, August 9thThursday, August 10thFriday
SWAT deployments only.Branch wmf.13 and deploy to Group 0 Wikis.Deploy wmf.13 to Group 1 Wikis.Deploy wmf.13 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.13 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.30.0-wmf.12
Next: 1.30.0-wmf.14

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 13 2017, 8:43 PM
greg assigned this task to mmodell.Jul 21 2017, 5:27 PM

Mentioned in SAL (#wikimedia-operations) [2017-08-01T16:25:14Z] <twentyafterfour> MediaWiki Train: Creating new branch wmf/1.30.0-wmf.12 from master. See T170631 for deployment blockers.

^ I linked the wrong task. wmf.12 is over there: T168053

The situation isn't looking good for wmf.13, we have a ton of carry-over issues from the past `3 weeks.

Mentioned in SAL (#wikimedia-operations) [2017-08-08T16:59:41Z] <twentyafterfour> Branching mediawiki/master to mediawiki/wmf/1.30.0-wmf.13 refs T170631

mmodell updated the task description. (Show Details)Aug 8 2017, 5:01 PM
mmodell raised the priority of this task from Medium to High.Aug 8 2017, 5:09 PM

Mentioned in SAL (#wikimedia-operations) [2017-08-08T19:36:58Z] <twentyafterfour@tin> Started scap: deploy 1.30.0-wmf.13 to testwikis and rebuild l10n refs T170631

Mentioned in SAL (#wikimedia-operations) [2017-08-08T20:22:55Z] <twentyafterfour@tin> Started scap: again: deploy 1.30.0-wmf.13 to testwikis and rebuild l10n refs T170631

Mentioned in SAL (#wikimedia-operations) [2017-08-08T21:05:50Z] <twentyafterfour@tin> Finished scap: again: deploy 1.30.0-wmf.13 to testwikis and rebuild l10n refs T170631 (duration: 42m 55s)

Change 370748 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.30.0-wmf.13 refs T170631

https://gerrit.wikimedia.org/r/370748

Change 370748 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.30.0-wmf.13 refs T170631

https://gerrit.wikimedia.org/r/370748

Mentioned in SAL (#wikimedia-operations) [2017-08-08T21:25:11Z] <twentyafterfour@tin> rebuilt wikiversions.php and synchronized wikiversions files: group0 wikis to 1.30.0-wmf.13 refs T170631

Change 370882 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] All group1 wikis except wikidata to 1.30.0-wmf.13

https://gerrit.wikimedia.org/r/370882

Change 370882 merged by jenkins-bot:
[operations/mediawiki-config@master] All group1 wikis except wikidata to 1.30.0-wmf.13

https://gerrit.wikimedia.org/r/370882

Mentioned in SAL (#wikimedia-operations) [2017-08-09T20:22:12Z] <twentyafterfour> twentyafterfour@tin rebuilt wikiversions.php and synchronized wikiversions files: Actually sync all group1 wikis (except wikidata) to 1.30.0-wmf.13 refs T170631

Change 371119 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] All wikis (except wikidata) to 1.30.0-wmf.13

https://gerrit.wikimedia.org/r/371119

Change 371119 merged by jenkins-bot:
[operations/mediawiki-config@master] All wikis (except wikidata) to 1.30.0-wmf.13

https://gerrit.wikimedia.org/r/371119

Mentioned in SAL (#wikimedia-operations) [2017-08-10T19:27:44Z] <twentyafterfour@tin> rebuilt wikiversions.php and synchronized wikiversions files: All wikis (except wikidata) to 1.30.0-wmf.13 refs T170631

mmodell closed this task as Resolved.Aug 10 2017, 10:54 PM